# jail – Run tasks in jails

- Synopsis

- Parameters

- Status

## Synopsis

- Run commands or put/fetch files to an existing jail

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
remote_addr - | Default: "inventory_hostname" | var: ansible_host var: ansible_jail_host | Path to the jail
remote_user - |  | var: ansible_user var: ansible_jail_user | User to execute as inside the jail

## Status

- This connection is not guaranteed to have a backwards compatible interface. [preview]

- This connection is maintained by the Ansible Community. [community]

### Authors

- Ansible Core Team

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.